local hangar = {}
hangar.version = "0.1"

dofile('hangar_dialog.lua')

hangar.la = function (_, args)
  if PlayerInStation() or
     GetActiveShipMaxCargo() <= 200 -- if cargo space is 200 or below, the ship is not a capship (not a bulletproof check, but works for now)
  then
    print("\127ffffffHangar works only with capship (while you're driving it).")
    return
  end

  local ship_list = GetShipList()
  local ships = {}

  for _,ship_id in pairs(ship_list) do
    local ship = {}
    local ship_inventory = GetShipInventory(ship_id)
    ship.id = ship_id
    ship.name = GetInventoryItemName(ship_id)
    ship.cargo = ship_inventory.cargo
    ship.addons = ship_inventory.addons
    ship.capacity_str = GetShipCargoCount(ship_id).."/"..GetShipMaxCargo(ship_id)
    table.insert(ships, ship)
  end

  if #ships > 0 then
    HangarDialog.open(ships, {version=hangar.version})
  else
    print("\127ffffffCouldn't get the ship list (or you don't have any ships in). Please try again!")
  end
end

RegisterUserCommand("hangar", hangar.la)
